﻿@model Persona
@{
    ViewData["Title"] = "Index";
    Layout = "_LayoutLogin";
}
<div asp-validation-summary="ModelOnly">
    <span>Por favor corrija los siguientes errores: </span>
</div>
<div class="col-xl-10 col-lg-12 col-md-9">
    <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
                <div class="col-lg-6 d-none d-lg-block bg-danger"></div>
                <div class="col-lg-6">
                    <div class="p-2">
                        <div class="text-center">
                            <h1 class="h2 text-gray-900 mb-2">Bienvenido a la Clinica</h1>
                            <p class="mb-4">
                                Regístrate y podrás visualizar la disponibilidad de los médicos,
                                tus citas históricas y además reservar y pagar tu consulta en línea.
                                Recuerda que tus datos estarán resguardados por nosotros.
                            </p>
                        </div>
                        <form id="user" class="row"
                              data-ajax="true"
                              asp-action="AgregarPersona"
                              asp-antiforgery="true"
                              method="post">
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-id-card"></i>
                                        </span>
                                    </div>
                                    <select id="ddl_TipDoc" asp-for="TDCMNTO" class="form-control form-control-sm"
                                            placeholder="" onchange="isTipoDocumento(this,'Txt_NumDoc')">
                                        <option value="1" selected="selected">DNI</option>
                                        <option value="3">Carnet extranjería</option>
                                        <option value="6">Pasaporte</option>
                                    </select>
                                    @*@Html.DropDownList("TipoDocumento", (IEnumerable<SelectListItem>)ViewBag.TipoDocumento, new { @class = "form-control input-md" })*@
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-hashtag"></i>
                                        </span>
                                    </div>
                                    <input type="text" id="Txt_NumDoc" asp-for="NDCMNTO"
                                           class="validate[required,minSize[8]] form-control form-control-sm"
                                           placeholder="Número de Documento" maxlength="8" onkeypress="return isNumber(event)">
                                    <span asp-validation-for="NDCMNTO" class="text-danger"></span>
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20" asp-for="APATERNO"
                                           class="validate[required] form-control form-control-sm" id="Txt_ApePat"
                                           placeholder="Apellido Paterno" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20" asp-for="AMATERNO"
                                           class="validate[required] form-control form-control-sm" id="Txt_ApeMat"
                                           placeholder="Apellido Materno" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20" asp-for="PNOMBRE"
                                           class="validate[required] form-control form-control-sm" id="Txt_pNombres"
                                           placeholder="Primer Nombre" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-user"></i>
                                        </span>
                                    </div>
                                    <input type="text" maxlength="20" asp-for="SNOMBRE"
                                           class="form-control form-control-sm" id="Txt_sNombres"
                                           placeholder="Segundo Nombre" onkeypress="return sLetras(event)">
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fas fa-calendar-alt"></i>
                                        </span>
                                    </div>
                                    <input type="text" id="Txt_FecNac" placeholder="Fecha Nacimiento" readonly
                                           class="validate[required,custom[date]] form-control form-control-sm hasDatepicker datepicker"
                                           maxlength="10" asp-for="FNCMNTO" onChange="dateFormat(this)" data-provide="datepicker" data-date-end-date="0d" data-date-language="es">
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-mobile-alt"></i>
                                        </span>
                                    </div>
                                    <input type="text" id="Txt_Tel" maxlength="9" asp-for="NCLLR"
                                           class="validate[required] form-control form-control-sm"
                                           placeholder="Número de Celular" onkeypress="return isNumber(event)">
                                </div>

                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-venus-mars"></i>
                                        </span>
                                    </div>
                                    <div class="form-control form-control-sm">
                                        <label class="radio-inline">

                                            @Html.RadioButtonFor(model => model.SXO, "M", new { @id = "optM", @class = "validate[required]" })
                                            Hombre
                                            @*<input type="radio" checked="checked" class="validate[required] radio" asp-for="SXO"
                                                name="inlineRadioOptions" id="sex1" value="M">Hombre*@
                                        </label>
                                        <label class="radio-inline">

                                            @Html.RadioButtonFor(model => model.SXO, "F", new { @id = "optF", @class = "validate[required]" })
                                            Mujer
                                            @*<input type="radio" class="validate[required] radio" asp-for="SXO"
                                                name="inlineRadioOptions" id="sex2" value="F">Mujer*@
                                        </label>
                                    </div>
                                </div>
                            </div>
                            @*<div class="col-md-6 my-1" style="display:none">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-university"
                                               style="color: #4a1162;" aria-hidden="true"></i></span>
                                        </div>
                                        <select id="ddl_Sedes" class="form-control form-control-sm"
                                                placeholder="">
                                            <option value="" disabled="" selected="">Seleccione su sede</option>
                                            <option value="0001|0001">Clínica1</option>
                                            <option value="0002|0009">Clínica2</option>
                                            <option value="0006|0008">Clínica3</option>
                                            <option value="0009|0013">Clínica4</option>
                                            <option value="0010|0014">Clínica5</option>
                                            <option value="0013|0019">Clínica6</option>
                                        </select>
                                    </div>

                                </div>*@
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-at"></i>
                                        </span>
                                    </div>
                                    <input type="text" asp-for="CRRO"
                                           class="validate[required,custom[email]] form-control form-control-sm cemail"
                                           placeholder="Correo Electrónico">
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-key"></i>
                                        </span>
                                    </div>
                                    <input type="text" id="Txt_Clave" asp-for="CNTRSNA"
                                           class="validate[required,minSize[8],maxSize[15],equals[Txt_RepClave]] validation[custom[password]] form-control form-control-sm"
                                           placeholder="Contraseña" maxlength="15" style="text-transform:none !important;">
                                </div>
                            </div>
                            <div class="col-md-6 my-1">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text" id="basic-addon1">
                                            <i class="fa fa-key"></i>
                                        </span>
                                    </div>
                                    <input type="text" id="Txt_RepClave"
                                           class="validate[required,minSize[8],maxSize[15],equals[Txt_Clave]] validation[custom[password]] form-control form-control-sm"
                                           placeholder="Confirmar Contraseña" maxlength="15" style="text-transform:none !important;">
                                </div>
                            </div>
                            <div class="col-md-12">
                                <div class="col-md-2"></div>
                                <div class="col-md-8 px-0" style="text-align: center">
                                    <br>
                                    @*<a class="btn btn-warning btn-block btn-lg"
                                        href="login.html">Registrarse</a>*@
                                    <input type="submit" class="btn btn-warning btn-block btn-lg" value="Registrarse" />
                                    <br>
                                </div>
                                <a asp-area="" asp-controller="Persona" asp-action="Login" class="small">
                                    ¿Tienes
                                    una cuenta? inicia sesión
                                </a>
                                <div class="col-md-2"></div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        @*<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                Abrir modal
            </button>*@
        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                            <!-- Titulo -->
                            Mensaje
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        @ViewBag.Mensaje
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal" >Aceptar</button>

                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="modalRegistro" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                            <!-- Titulo -->
                            Mensaje
                        </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        @ViewBag.MensajeR
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" data-dismiss="modal"
                                onclick="location.href='@Url.Action("Login", "Persona")'" >Aceptar
                        </button>

                    </div>
                </div>
            </div>
        </div>
    </div>


</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/locales/bootstrap-datepicker.es.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
<script type="text/javascript">
     
    $(document).ready(function () {
        
        $("#user").validationEngine({ binded: false, autoHidePrompt: true, autoHideDelay: 1500, fadeDuration: 300, showOneMessage: true, promptPosition: "bottomLeft"  });
    });
    //$('#user').validationEngine('hideAll');

    var stDate = '01/01/1970';
    $('#Txt_FecNac').datepicker({
        language: "es",
        weekStart: 1,
        daysOfWeekHighlighted: "6,0",
        autoclose: true,
        todayHighlight: true,
        format: "dd/mm/yyyy",
        startDate: stDate,
        todayBtn: "linked",
        keyboardNavigation: true
    });
    /*$('#Txt_FecNac').datepicker("setDate", new Date());*/
</script>
@if (ViewBag.Mensaje != null)
{
    <script type="text/javascript">
        $("#exampleModal").modal("show");
    </script>
}
@if (ViewBag.MensajeR != null)
{
    <script type="text/javascript">
        $("#modalRegistro").modal("show");
    </script>
}

